print/auctex - The NetBSD Packages Collection

Enhanced LaTeX mode for Emacs

   AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs.

   AUC TeX lets you run TeX/LaTeX and other LaTeX-related tools, such
as a output filters or post processor from inside Emacs.  Especially
`running LaTeX' is interesting, as AUC TeX lets you browse through the
errors TeX reported, while it moves the cursor directly to the reported
error, and displays some documentation for that particular error.  This
will even work when the document is spread over several files.

   AUC TeX automatically indents your `LaTeX-source', not only as you
write it -- you can also let it indent and format an entire document.
It has a special outline feature, which can greatly help you `getting an
overview' of a document.

   AUC TeX is written entirely in Emacs-Lisp, and hence you can easily
add new features for your own needs.

Build dependencies

print/tex-texlive-scripts-extra pkgtools/x11-links pkgtools/cwrappers devel/gmake lang/perl5

Runtime dependencies

meta-pkgs/texlive-collection-latex editors/emacs26 print/ghostscript print/ghostscript

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfauctex-11.92nb9.tgz
NetBSD 8.0earmv7hfauctex-11.92nb9.tgz
NetBSD 8.0i386auctex-11.92nb8.tgz
NetBSD 8.0i386auctex-11.92nb9.tgz
NetBSD 8.0i386auctex-11.92nb9.tgz
NetBSD 8.0powerpcauctex-11.92nb8.tgz
NetBSD 8.0powerpcauctex-11.92nb9.tgz
NetBSD 8.0powerpcauctex-11.92nb9.tgz
NetBSD 8.0powerpcauctex-11.92nb9.tgz
NetBSD 8.0x86_64auctex-11.92nb9.tgz
NetBSD 8.0x86_64auctex-11.92nb8.tgz
NetBSD 8.0x86_64auctex-11.92nb9.tgz
NetBSD 9.0aarch64auctex-11.92nb9.tgz
NetBSD 9.0aarch64auctex-11.92nb8.tgz
NetBSD 9.0aarch64auctex-11.92nb9.tgz
NetBSD 9.0earmauctex-11.92nb9.tgz
NetBSD 9.0earmv6hfauctex-11.92nb8.tgz
NetBSD 9.0earmv6hfauctex-11.92nb9.tgz
NetBSD 9.0earmv6hfauctex-11.92nb9.tgz
NetBSD 9.0earmv7hfauctex-11.92nb9.tgz
NetBSD 9.0earmv7hfauctex-11.92nb8.tgz
NetBSD 9.0earmv7hfauctex-11.92nb9.tgz
NetBSD 9.0earmv7hfauctex-11.92nb9.tgz
NetBSD 9.0earmv7hfauctex-11.92nb9.tgz
NetBSD 9.0i386auctex-11.92nb8.tgz
NetBSD 9.0i386auctex-11.92nb9.tgz
NetBSD 9.0i386auctex-11.92nb9.tgz
NetBSD 9.0powerpcauctex-11.92nb9.tgz
NetBSD 9.0powerpcauctex-11.92nb8.tgz
NetBSD 9.0powerpcauctex-11.92nb9.tgz
NetBSD 9.0powerpcauctex-11.92nb9.tgz
NetBSD 9.0sparc64auctex-11.92nb9.tgz
NetBSD 9.0x86_64auctex-11.92nb8.tgz
NetBSD 9.0x86_64auctex-11.92nb9.tgz
NetBSD 9.0x86_64auctex-11.92nb9.tgz
NetBSD 9.0x86_64auctex-11.92nb9.tgz
NetBSD 9.0x86_64auctex-11.92nb8.tgz
NetBSD 9.0x86_64auctex-11.92nb9.tgz
NetBSD 9.0x86_64auctex-11.92nb9.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.